Bug 28921 - Many [WARN] Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23.
Summary: Many [WARN] Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koh...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Didier Gautheron
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-30 14:17 UTC by Didier Gautheron
Modified: 2021-09-10 12:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28921: Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23. (1.24 KB, patch)
2021-08-30 14:29 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 28921: Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23. (1.28 KB, patch)
2021-09-03 23:13 UTC, David Nind
Details | Diff | Splinter Review
Bug 28921: Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23. (1.38 KB, patch)
2021-09-06 07:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 28921: Remove warning from html_helpers.inc (1.38 KB, patch)
2021-09-09 08:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Didier Gautheron 2021-08-30 14:17:52 UTC
If there's no news there's no content, a test on new.content is missing.
Comment 1 Didier Gautheron 2021-08-30 14:29:49 UTC
Created attachment 124246 [details] [review]
Bug 28921: Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23.

To test:
1 - Open OPAC main page
2 - Check opac-error.log or plack-opac-error.log for message as above
3 - Apply patch
4 - Open OPAC main page
5 - Check opac-error.log again, there should be no more warnings
Comment 2 David Nind 2021-09-03 23:13:46 UTC
Created attachment 124509 [details] [review]
Bug 28921: Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23.

To test:
1 - Open OPAC main page
2 - Check opac-error.log or plack-opac-error.log for message as above
3 - Apply patch
4 - Open OPAC main page
5 - Check opac-error.log again, there should be no more warnings

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-09-03 23:18:00 UTC
Testing notes (koha-testing-docker):

- I could only get the warning message to appear once (the first time I opened the OPAC home page, flush_memcached and restart_all didn't make any difference, using different browsers didn't either)
- After applying the patch I closed down koha-testing-docker and started things up again, there was no warning message in the logs when accessing the OPAC home page
Comment 4 Marcel de Rooy 2021-09-06 07:40:38 UTC
Created attachment 124543 [details] [review]
Bug 28921: Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23.

To test:
1 - Open OPAC main page
2 - Check opac-error.log or plack-opac-error.log for message as above
3 - Apply patch
4 - Open OPAC main page
5 - Check opac-error.log again, there should be no more warnings

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2021-09-09 08:53:33 UTC
Created attachment 124687 [details] [review]
Bug 28921: Remove warning from html_helpers.inc

Argument "" isn't numeric in numeric gt (>) at /home/koha/src/koha-tmpl/opac-tmpl/bootstrap/en/includes/html_helpers.inc line 23.

To test:
1 - Open OPAC main page
2 - Check opac-error.log or plack-opac-error.log for message as above
3 - Apply patch
4 - Open OPAC main page
5 - Check opac-error.log again, there should be no more warnings

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2021-09-09 08:54:25 UTC
Didier, the warning itself is not a correct commit title. Have a look at https://wiki.koha-community.org/wiki/Commit_messages if you are not familiar with it yet.
Comment 7 Jonathan Druart 2021-09-09 09:01:04 UTC
Pushed to master for 21.11, thanks to everybody involved!